GETLAB(1)

NAME
getlab - print security labels of files and processes

SYNOPSIS
getlab [ -d ] [ file ... ]

DESCRIPTION
If there is a file argument, getlab prints, in the style of labtoa(3), the security labels of the named files. Otherwise, getlab prints the security label of the process and the process ceiling, The option is

-d  Also print labels of all open file descriptors.

If a (character special) file can be opened, and the labels of the file and the file descriptor differ, both are printed.

EXAMPLES

getlab /dev/stdin
    Print the labels (file system entry and file descriptor) of the standard input.

drop getlab -d
    Print the process label, preventing the open-file check and the ceiling-label check (see getplab(2)) from raising the process label.

SEE ALSO
stat(1), getflab(2), getplab(2)